@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY THE TI89 VERSION AND THE LAUNCHER AND
REM COPIES THEM IN THE CORRESPONDING DIRECTORY
REM ===========================================================================
REM ===========================================================================

REM ===========================================================================
echo --------------------------------------------
echo building TICHESS - TI89 version ...
echo --------------------------------------------
tigcc -DAUTO_BUILD -DCOMPILE_FOR_DOORS=0 -DTI89_VERSION=1 -O2 tichess.c gray.o
copy tichess.89z ..\ti89
del tichess.o
del tichess.89z

REM ===========================================================================
echo --------------------------------------------
echo building TICHESS - TI89 DOORS version ...
echo --------------------------------------------
tigcc -DAUTO_BUILD -DCOMPILE_FOR_DOORS=1 -DTI89_VERSION=1 -O2 tichess.c gray.o
copy tichess.89z ..\ti89\doors
del tichess.o
del tichess.89z

REM ===========================================================================
echo --------------------------------------------
echo building TICSTART - TI89 version ...
echo --------------------------------------------
tigcc -DAUTO_BUILD -DTI89_VERSION=1 -O2 ticstart.c
copy ticstart.89z ..\ti89
del ticstart.o
del ticstart.89z

@echo on