Program Bin2Pic;

Const BIT : Array[1..16] of Word=(32768,16384,8192,4096,2048,1024,512,256,128,64,32,16,8,4,2,1);

Function IntToStr(Const I : Integer) : String;
Var S : String;
Begin
 Str(I, S);
 IntToStr:=S;
End;

Function HexCharToInt(Const C : Char) : Integer;
Var I : Integer;
Begin
 I:=Ord(C)-48;
 if I>=17 then Dec(I, 7);
 if I>=32 then Dec(I, 32);
HexCharToInt:=I;
End;

Function HexToNum(S : String) : Word;
Var CB : Integer;
    FR : Integer;
    LS : Integer;
Begin
 if S='0' then FR:=0 else Begin
    Delete(S, 1, 2);
    LS:=Length(S);
    FR:=0;
    for CB:=1 to LS do
      Inc(FR, HexCharToInt(S[CB])*Bit[16-(LS-CB)*4]);
 End;
HexToNum:=FR;
End;

Var InFile, OutFile : Text;
    L : String;
    FN : String;
    CF : Integer;
    CL, CR : Integer;
    AN : Word;
    AL : String;
    VP, ZP : Integer;

Begin
 Write('ICO file name (without .ICO): ');
 ReadLn(FN);
 If (FN='') then Halt;
 Assign(InFile, FN+'.ico');
 Reset(InFile);
 CF:=0;
 Repeat
  Inc(CF);
  ReadLn(InFile, L);
  Delete(L, 1, 1);
  Assign(OutFile, fn+IntToStr(CF)+'.fig');
  ReWrite(OutFile);
  for CL:=1 to 16 do Begin
    AL:='';
    VP:=Pos(',',L);
    ZP:=Pos('}',L);
    if (ZP<>0) and (ZP<VP) then VP:=ZP;
    AN:=HexToNum(Copy(L, 1, VP-1));
    for CR:=1 to 16 do
      if (AN and Bit[CR])>0 then
        AL:=AL+'X' else AL:=AL+'.';
    WriteLn(OutFile, AL);
    Delete(L, 1, Vp);
  End;
  Close(OutFile);
 until (L[Length(L)]<>',');
 Close(InFile);
End.