Program Pic2Bin;

Const BIT : Array[1..16] of Word=(32768,16384,8192,4096,2048,1024,512,256,128,64,32,16,8,4,2,1);

Function IntToStr(Const I : Integer) : String;
Var S : String;
Begin
 Str(I, S);
 IntToStr:=S;
End;

Function NumToHexChar(I : Integer) : String;
Begin
 If I>=10 then Inc(I, 7);
NumToHexChar:=Char(I+48);
End;

Function NumToHex(I : Word) : String;
Var H : String;
Begin
 if I=0 then H:='0' else Begin
    H:='';
    While (I<>0) do Begin
      H:=NumToHexChar(I mod 16)+H;
      I:=Trunc(I/16);
    End;
    H:='0x'+H;
 End;
NumToHex:=H;
End;


Var InFile, OutFile : Text;
    FN, L, AL, NN : String;
    CF, CL, CR, AN : Integer;
    ICS : Integer;

Begin
 Write('Icon set: ');
 ReadLn(FN);
 Write('Number if icons: ');
 ReadLn(ICS);
 if FN='' then Halt;
 Assign(OutFile, FN+'.ico');
 ReWrite(OutFile);
 for CF:=1 to ICS do Begin
   L:='{';
   Assign(InFile, fn+IntToStr(CF)+'.fig');
   Reset(InFile);
   for CL:=1 to 16 do Begin
     ReadLn(InFile, AL);
     AN:=0;
     for CR:=1 to 16 do if AL[CR]<>'.' then Inc(AN, Bit[CR]);
     L:=L+NumToHex(AN);
     If CL<>16 then L:=L+',';
   End;
   Close(InFile);
   L:=L+'}';
   if CF<>ICS then L:=L+',';
   WriteLn(OutFile, L);
 End;
 Close(OutFile);
End.